Main Page Packages Class Hierarchy Compound List File List Compound Members

# textindexsizeerrnegativeoffset Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| textindexsizeerrnegativeoffset (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "splitText(offset)" method raises an INDEX_SIZE_ERR DOMException if the specified offset is negative.

Retrieve the textual data from the second child of the third employee and invoke the "splitText(offset)" method. The desired exception should be raised since the offset is a negative number.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='INDEX_SIZE_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-38853C1D , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-38853C1D')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='INDEX_SIZE_ERR'])

Definition at line 48 of file textindexsizeerrnegativeoffset.java.

## Constructor & Destructor Documentation

textindexsizeerrnegativeoffset::textindexsizeerrnegativeoffset | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file textindexsizeerrnegativeoffset.java. References DOMTest::setFactory(), and DocumentBuilderSetting::signed.
    00051                                      {
    00052
    00053       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00054 DocumentBuilderSetting.signed
    00055         };
    00056         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00057         setFactory(testFactory);
    00058
    00059    }

## Member Function Documentation

String textindexsizeerrnegativeoffset::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 85 of file textindexsizeerrnegativeoffset.java.
    00085                                 {
    00086       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/textindexsizeerrnegativeoffset";
    00087    }

void textindexsizeerrnegativeoffset::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 88 of file textindexsizeerrnegativeoffset.java. References DOMTestCase::doMain().
    00088                                           {
    00089         DOMTestCase.doMain(textindexsizeerrnegativeoffset.class,args);
    00090    }

void textindexsizeerrnegativeoffset::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 61 of file textindexsizeerrnegativeoffset.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00061                                                     {
    00062       Document doc;
    00063       NodeList elementList;
    00064       Node nameNode;
    00065       Text textNode;
    00066       Text splitNode;
    00067       doc = load("staff");
    00068       elementList = doc.getElementsByTagName("name");
    00069       nameNode = elementList.item(2);
    00070       textNode = (Text)nameNode.getFirstChild();
    00071
    00072         {
    00073                 boolean success = false;
    00074                 try {
    00075                         splitNode = textNode.splitText(-69);
    00076
    00077                 }
    00078                 catch(DOMException ex) {
    00079                         success = (ex.code == DOMException.INDEX_SIZE_ERR);
    00080                 }
    00081                 assertTrue("throws_INDEX_SIZE_ERR",success);
    00082         }
    00083
    00084    }

The documentation for this class was generated from the following file:

- textindexsizeerrnegativeoffset.java